#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	HTML
%define		pnam	Scrubber
%include	/usr/lib/rpm/macros.perl
Summary:	HTML::Scrubber - Perl extension for scrubbing/sanitizing HTML
Summary(pl.UTF-8):	HTML::Scrubber - rozszerzenie Perla do czyszczenia HTML-a
Name:		perl-HTML-Scrubber
Version:	0.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4ce8424bd1a3bbc3c217b82e26dfd8a8
URL:		http://search.cpan.org/dist/HTML-Scrubber/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Parser >= 3
BuildRequires:	perl-Test-CPAN-Meta
BuildRequires:	perl-Test-EOL
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you wanna "scrub" or "sanitize" HTML input in a reliable and
flexible fashion, then this module is for you.

I wasn't satisfied with HTML::Sanitizer because it is based on
HTML::TreeBuilder, so I thought I'd write something similar that works
directly with HTML::Parser.

%description -l pl.UTF-8
Jeśli chcemy "oczyścić" albo "uporządkować" wejście w HTML w
wiarygodnym i elastycznym stylu, ten moduł ma zastosowanie.

Autor nie był usatysfakcjonowany HTML::Sanitizer, ponieważ jest oparty
na HTML::TreeBuilder, więc stwierdził, że napisze coś podobnego
działającego bezpośrednio z modułem HTML::Parser.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
		INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
		DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/*.pm
%{_mandir}/man3/*
%changelog
* Wed Sep 20 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Scrubber.git;a=log;h=master

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> d9da4ce
- up to 0.17

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 06fb56b
- up to 0.14

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> d0306f8
- use generic url

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> edc81ab
- up to 0.11

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cfe7e75
- up to 0.09

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4514b41
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a82c949
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0aa9884
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ad58877
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9fa1c67
- spaces->tabs

* Tue Aug 24 2004 Jakub Bogusz <qboosh@pld-linux.org> d219528
- pl

* Tue Aug 24 2004 radek <radek@pld-linux.org> badf803
- new

